<?php
//header("Content-Type: text/html; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=CreditoHipotecario.xls");
set_time_limit(150);
ini_set('memory_limit', '96M');

use_helper('UrlFunctions');
$o_ObjectBean = new CrPrestamoInterespagoFN();
  
$tamanioPag = 9999999;
$o_ObjectBean->setEliminado('-1');

if($cboMercado    !=""){ $o_ObjectBean->setIdMercado($cboMercado); }
if($cboTipo    !=""){ $o_ObjectBean->setTipo($cboTipo); }
if($IdHipoteca    !=""){ $o_ObjectBean->setIdcreditocrono($IdHipoteca); }
if($IdCliente    !=""){ $o_ObjectBean->setIdCliente($IdCliente); }
if($txtNombre      !=""){ $o_ObjectBean->setDeudor($txtNombre); } 
if($cboEstado        !=""){ $o_ObjectBean->setEstado($cboEstado); }
if($cboMoneda        !=""){ $o_ObjectBean->setMoneda($cboMoneda); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaIniciotrx($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinaltrx($txtFechaFinal); }


if(!isset($sortCampos))$sortCampos= "Fechatrx;Tipopago";
if(!isset($sortType))  $sortType ="2;1";

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;


$a_ObjectBean = $o_ObjectBean->select();

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ObjectBean->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();



if(!$page) $page = 1;
?>
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="4%" >Nro</th>
                <th width="4%" >N.Pago</th>
                <th width="4%" align="left" >N.Credito</th>
                <th width="4%" align="left" >C.Cliente</th>
                 <th width="15%" align="left">Nombre</th>
                 <th width="3%" >F.Trx.</th>
			    <th width="10%" align="right">M.Total Credito</th>
			    <th width="8%" align="right">Saldo Credito</th>
			    
			   
			    <th width="8%" align="center" >Tipo</th>
			    <th width="8%" align="center" >Banco/Recibo</th>
			    <th width="3%" >Mon.</th>
			    
			    <th width="8%" align="right" >M.Pagado</th>
				
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Crea.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >Fec.Crea.</th>
              
               
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <td align="center"><?=$o_objBean->getIdPago()?></td>
                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
                <td align="center"><?=$o_objBean->getIdcliente()?></td>
                <td align="left"><?
                
                echo $o_objBean->getNombreCompleto()?></td>
                <td align="right"><?=$o_objBean->getFechaTrx()?>&nbsp;</td>
                <td align="right"><?=$o_objBean->getMontoTotal()?></td>
                <td align="right"><?=$o_objBean->getSaldoprestamo()?></td>
                <td align="center"><?
                if(strtolower($o_objBean->getTipopago()) == "i") echo "Interes";
                if(strtolower($o_objBean->getTipopago()) == "c") echo "Cuota";
                if(strtolower($o_objBean->getTipopago()) == "ia") echo "Int. Antic.";
                if(strtolower($o_objBean->getTipopago()) == "ca") echo "Cuo. Antic.";
                if(strtolower($o_objBean->getTipopago()) == "M") echo "Mora";
                ?></td>
                 <td align="center">
                 <?
                 if($o_objBean->getBanco()){
	                if(strtolower($o_objBean->getBanco()) == "bcp") echo "BCP - Banco de Credito";
	                if(strtolower($o_objBean->getBanco()) == "int") echo "Interbank";
	                if(strtolower($o_objBean->getBanco()) == "bbva") echo "BBVA - Banco Continental.";
	                if(strtolower($o_objBean->getBanco()) == "bco") echo "Banco Comercio";
	                if(strtolower($o_objBean->getBanco()) == "bna") echo "Banco de la Naci&oacute;n";
	                echo " | ".$o_objBean->getNumerooperacion();
                 }else{
                 	echo $o_objBean->getNumerorecibo();
                 }
                ?></td>
                
                <td align="center"><?
                if($o_objBean->getMoneda() == "S") echo "S/.";
                if($o_objBean->getMoneda() == "D") echo "$";
                ?>
                </td>
                
                <td align="right"><?=number_format($o_objBean->getMontoPago(),2)?>&nbsp;</td>
                
                <td align="center"><?=$o_objBean->getUsuariocreacion()?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="8" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?>&nbsp; <b>Monto Total de Pagos: <?=number_format($o_ObjectBean->selectTotalPagos(),2);?></b></td>
        </tr>
      </table>